## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateAccordingToIdentifier

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, XMLValueFunctionValidateAccordingTo

    public interface XMLValueFunctionValidateAccordingToIdentifier

extends XMLValueFunctionValidateAccordingTo

A representation of the model object 'XML Value Function Validate According To Identifier'.

The following features are supported:

- `Schema Name`
- `Registered XML Schema Name`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToIdentifier()`

Method Summary
`java.lang.String` `getRegisteredXMLSchemaName()` Returns the value of the 'Registered XML Schema Name' attribute.
`java.lang.String` `getSchemaName()` Returns the value of the 'Schema Name' attribute.
`void` `setRegisteredXMLSchemaName(java.lang.String value)` Sets the value of the '`Registered XML Schema Name`' attribute.
`void` `setSchemaName(java.lang.String value)` Sets the value of the '`Schema Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLValueFunctionValidateAccordingTo
`getValidateElement, getValueFunctionValidate, setValidateElement, setValueFunctionValidate`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchemaName

    java.lang.String getSchemaName()

  Returns the value of the 'Schema Name' attribute.

  If the meaning of the 'Schema Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema Name' attribute.
  See Also:
    `setSchemaName(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToIdentifier_SchemaName()`

### setSchemaName

    void setSchemaName(java.lang.String value)

  Sets the value of the '`Schema Name`' attribute.

  Parameters:
    `value` - the new value of the 'Schema Name' attribute.
  See Also:
    `getSchemaName()`

### getRegisteredXMLSchemaName

    java.lang.String getRegisteredXMLSchemaName()

  Returns the value of the 'Registered XML Schema Name' attribute.

  If the meaning of the 'Registered XML Schema Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registered XML Schema Name' attribute.
  See Also:
    `setRegisteredXMLSchemaName(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToIdentifier_RegisteredXMLSchemaName()`

### setRegisteredXMLSchemaName

    void setRegisteredXMLSchemaName(java.lang.String value)

  Sets the value of the '`Registered XML Schema Name`' attribute.

  Parameters:
    `value` - the new value of the 'Registered XML Schema Name' attribute.
  See Also:
    `getRegisteredXMLSchemaName()`